/*
 * Copyright 2013 4Tel Pty Ltd
 * All rights reserved
 */
package au.com.fourtel.info.support;

/**
 *  @see
 *      -- http://docs.oracle.com/javafx/2/api/javafx/application/Platform.html#runLater%28java.lang.Runnable%29
 *		-- http://docs.oracle.com/javase/7/docs/api/java/util/concurrent/ScheduledExecutorService.html
 *		-- http://docs.oracle.com/javase/7/docs/api/java/util/concurrent/Executor.html
 *
 */

public class DummyCountDown
{
	/******************************* /

	private void startScheduledExecutorService()
	{
		final ScheduledExecutorService scheduler = Executors.newScheduledThreadPool( 1 );

		scheduler.scheduleAtFixedRate(
			new Runnable()
			{
				int counter = 0;

				@Override
				public void run()
				{
					counter++;
					if ( counter <= 10 )
					{

						Platform.runLater( new Runnable()	//Schedule counter update thread
							{
								@Override
								public void run()
								{
									textCounter.setText(  "isFxApplicationThread: "+ Platform.isFxApplicationThread() + "\n"
														+ "Counting: "+ String.valueOf( counter ) );
								}//run
							}//runnable
						);//runlater

					}
					else //-- Countdown is over
					{
						scheduler.shutdown();
						Platform.runLater( new Runnable() //Schedule "finished" message.
							{
								@Override
								public void run()
								{
									textCounter.setText( "isFxApplicationThread: "+ Platform.isFxApplicationThread() +
										                 "\n-Finished-" );
								}//run
							}//runnable
						);//runLater

					}//endif

				}//(new Runnable).run ()

			},//(new Runnable)
			1,
			1,
			TimeUnit.SECONDS	//-- Fires-off every ten seconds
		);//scheduleAtFixedRate

	}//startScheduledExecutorService

	/*******************************/

}//DummyCountDown class
